### Hierarchy

- XmlComponent
  - Styles

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- createDocumentDefaults
- createParagraphStyle
- delete
- prepForXml
- push

## Constructors

### constructor

- new Styles(initialStyles?: BaseXmlComponent): Styles

- Overrides XmlComponent.constructor

  - Defined in file/styles/index.ts:6

  #### Parameters

  - ##### Optional initialStyles: BaseXmlComponent

  #### Returns Styles

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### createDocumentDefaults

- createDocumentDefaults(): DocumentDefaults

- - Defined in file/styles/index.ts:19

  #### Returns DocumentDefaults

### createParagraphStyle

- createParagraphStyle(styleId: string, name?: undefined | string): ParagraphStyle

- - Defined in file/styles/index.ts:25

  #### Parameters

  - ##### styleId: string

  - ##### Optional name: undefined | string

  #### Returns ParagraphStyle

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

### push

- push(style: XmlComponent): Styles

- - Defined in file/styles/index.ts:14

  #### Parameters

  - ##### style: XmlComponent

  #### Returns Styles

Generated using TypeDoc